Mailinglist Archive: opensuse (4633 mails)

< Previous Next >
[opensuse] More zen problems
  • From: "John E. Perry" <j.e.perry@xxxxxxx>
  • Date: Tue, 23 Jan 2007 01:03:12 -0500
  • Message-id: <45B5A520.9090804@xxxxxxx>
Sorry to be a pest, but zen still hasn't done a successful update since
the libzypp update last week.

Last time, at Joe Morris's prompting, I did the update with YOU, and had
only temporary problems. I haven't tried YOU yet, but Andreas asked for
a bug report for the last one, and I want to give him a chance to see
this episode. Should I add today's zmd-*log files to the bug report? or
generate a new one? or just go away :-)?

This time, zen came up asking to update acroread and xine-lib, once each
for a security update and once each for an i586 package update. I
clicked "update".

After a longer than usual wait (10 --15 minutes in each case), it came
back with the following message box:

Transaction failed: Transaction preparation failed: Package
hal-32bit-0.5.8_git20061106-31.1 is already installed.

I think this is the one I did with YOU yesterday at Joe Morris's
prompting.

I tried having zen update the packages one at a time. For acroread
security, a message box pops up after a long time:

Install the following additional software
acroread - 7.0.9-2.1 (Package)

Looking at AR, I see 7.0.8 05/22/2006. I click "Apply".

I immediately get the message box:

Transaction failed: Transaction preparation failed: Package
hal-32bit-0.5.8_git20061106-31.1 is already installed.

I deselect acroread, select xine security. After a long time, I get the box

Install the following additional software
xine-lib - 1.1.2-40.1 (Package)

rpm -q says xine is not installed. I click "Apply".

I immediately get the message box:

Transaction failed: Transaction preparation failed: Package
hal-32bit-0.5.8_git20061106-31.1 is already installed.

I try the acroread (i586) update. After a long time, the main box says
"Preparing Software...", then a message box says:

Transaction failed: Transaction preparation failed: Package
hal-32bit-0.5.8_git20061106-31.1 is already installed.

I got corresponding results for the xine (i586) package update.

So YOU didn't update the database yesterday? If that's the problem, how
can I fix it?

If xine is not installed, why does zen want to update it? Didn't
someone here say there should be no update requests for uninstalled
software?

And why am I suddenly having so much trouble, and no one else seems to
be having any?

Finally, should I go ahead and use YOU to get the blob blue again? If I
use YOU, how do reconcile the database?

--

John Perry
--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages